<script lang="ts">
import Vue from 'vue';
import { getPageMetadata } from '~/common/meta';
import { NextStepAlt, SlpBreadcrumb } from '~/components/common/index.vue';
import {
  SecurityBannerSpotlightCard,
  SecurityComplianceCards,
  SecurityContentBlock,
  SecurityCtaSection,
  SecurityPackageCards,
  SecurityResourcesFeature,
  SecurityResourcesLinks,
  SolutionsCards,
  SolutionsHero,
} from '~/components/security/index.vue';

export default Vue.extend({
  components: {
    NextStepAlt,
    SlpBreadcrumb,
    SolutionsHero,
    SecurityResourcesFeature,
    SecurityComplianceCards,
    SecurityResourcesLinks,
    SecurityCtaSection,
    SolutionsCards,
    SecurityPackageCards,
    SecurityContentBlock,
    SecurityBannerSpotlightCard,
  },
  async asyncData({ params, $securityService }: any) {
    try {
      const security = await $securityService.getContent(
        `security${params.security ? `/${params.security}` : ''}`,
      );
      return { security };
    } catch (e) {
      throw new Error(e);
    }
  },
  head() {
    return getPageMetadata(
      (this as any).security,
      this.$route.path,
      this.$nuxtI18nHead({ addSeoAttributes: true }),
    );
  },
});
</script>

<template>
  <div>
    <SlpContainer>
      <SlpBreadcrumb
        v-if="security.breadcrumbs"
        :crumbs="security.breadcrumbs"
      />
    </SlpContainer>
    <component
      :is="component.name"
      v-for="component in security.components"
      :key="component.name"
      :data="component.data"
    />
    <NextStepAlt />
  </div>
</template>
<style scoped lang="scss">
div[role='main'] {
  overflow: clip;
}
</style>
